//##############################
//  Glass Shader
//##############################
textures/urt-portjumps/glass_clear

{

     qer_editorimage textures/urt-portjumps/qer_clear.tga
     qer_trans 0.4
     surfaceparm slick

     surfaceparm nodamage

     surfaceparm nolightmap

     surfaceparm detail

     surfaceparm trans
     cull disable

     {
        
          map textures/urt-portjumps/glass_clear.tga

          blendfunc add
          tcGen environment
     }

}



//##############################
//  Slick & NoDamage Shader
//##############################
textures/urt-portjumps/de-cleanmtl_slick:q3map
{
    surfaceparm nodamage
    surfaceparm slick
}

textures/evil1_trims/crude_warn:q3map
{
    surfaceparm nodamage
    surfaceparm slick
}

textures/evil1_metals/de-cleanmtl:q3map
{
     surfaceparm nodamage
}

textures/evil1_metals/de-r_mtl2:q3map
{
     surfaceparm nodamage
}

textures/urt-portjumps/floor_stone:q3map
{
     surfaceparm nodamage
}

textures/urt-portjumps/floor_dark:q3map
{
     surfaceparm nodamage
}

textures/urt-portjumps/floor_hell:q3map
{
     surfaceparm nodamage
}

textures/urt-portjumps/floor_clean:q3map
{
     surfaceparm nodamage
}

textures/urt-portjumps/floor_dirty:q3map
{
     surfaceparm nodamage
}

textures/urt-portjumps/floor_dirty_slick:q3map
{
     surfaceparm nodamage
     surfaceparm slick
}

//##############################
//  Alpha-Shader
//##############################
textures/urt-portjumps/to_start
{
	surfaceparm trans
	cull none
	nopicmip
	nomipmaps

	
	{
		map textures/urt-portjumps/to_start.tga
		AlphaFunc GE128
		depthWrite
	}

	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/urt-portjumps/to_water
{
	surfaceparm trans
	cull none
	nopicmip
	nomipmaps

	
	{
		map textures/urt-portjumps/to_water.tga
		AlphaFunc GE128
		depthWrite
	}

	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/urt-portjumps/to_lava
{
	surfaceparm trans
	cull none
	nopicmip
	nomipmaps

	
	{
		map textures/urt-portjumps/to_lava.tga
		AlphaFunc GE128
		depthWrite
	}

	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//##############################
//  Animation Shader
//##############################



textures/urt-portjumps/banner
{

	qer_editorimage textures/urt-portjumps/banner.tga
	cull none

	surfaceparm nolightmap
	surfaceparm alphashadow

	tessSize 32

	deformVertexes wave 50 sin 0 0.6 0 .2
	//deformVertexes normal 0.2 2

	sort banner
	{

		map textures/urt-portjumps/banner.tga

		blendfunc gl_src_alpha gl_one_minus_src_alpha

		alphaFunc GE128
 
		rgbGen vertex

	}

}

//##############################
//  Lava & Water Shader
//##############################
textures/lava_sfx/lava_bright
{
    qer_editorimage textures/lava/lavahell.tga
    qer_nocarve
    q3map_globaltexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 500
    cull disable
    {
        map textures/lava/lavahell.tga
        tcmod scale 0.10 0.10
        tcmod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc gl_one gl_zero
        rgbGen identity
    }
    {
        map textures/lava/lava_fg.tga
        blendfunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/urt-portjumps/moats
	{
	qer_editorimage textures/urt-portjumps/particles.jpg
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	nopicmip	
	qer_trans .5
	cull none
	deformVertexes bulge 128 1 2	
	{
		map textures/urt-portjumps/particles.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcMod Scroll 0 .04
	}
}

textures/urt-portjumps/moats2
	{
	qer_editorimage textures/urt-portjumps/particles2.jpg
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	nopicmip	
	qer_trans .5
	cull none
	deformVertexes bulge 128 1 2	
	{
		map textures/urt-portjumps/particles2.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcMod Scroll -0.03 .05
	}
}

textures/wasser/wasser_bright
{
    qer_editorimage textures/wasser/wasserhell.tga
    qer_nocarve
    q3map_globaltexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm water
    surfaceparm nolightmap
    q3map_surfacelight 50
    cull disable
    {
        map textures/wasser/wasserhell.tga
        tcmod scale 0.05 0.05
        tcmod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendfunc gl_dst_color gl_src_color
        rgbGen identity
    }
    {
        map textures/wasser/wasser_fg.tga
        blendfunc filter
        tcMod turb 0 0.15 0 0.1
    }
}

textures/wasser/waterfall
{
    q3map_surfacelight 50
    q3map_backsplash 0 0
    surfaceparm noimpact
    surfaceparm water
    surfaceparm trans
    cull none
    
    {
        map textures/wasser/waterfall.tga
        blendFunc blend
        tcmod scroll 0 -2.5
    }
}